com.ihr.xbrl.om.formula.aspects

## Class UnitAction

- java.lang.Object
- - com.ihr.xbrl.om.formula.aspects.CommonAspectRule
  - - com.ihr.xbrl.om.formula.aspects.UnitAction

- All Implemented Interfaces:
    UnitAspectInterface

      public class UnitAction
      extends CommonAspectRule
      implements UnitAspectInterface

  The Class UnitAction.
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `ALLDIMENSIONALASPECTS, ALLNONDIMENSIONALASPECTS, ANY, COMPLETESCENARIO, COMPLETESEGMENT, CONCEPT, DIMENSION, ENTITYIDENTIFIER, LOCATION, NONE, NONXDTSCENARIO, NONXDTSEGMENT, PERIOD, UNIT, VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnitAction(XBRLFormula formula, com.ihr.xbrl.om.formula.aspects.UnitAspectRule.UnitOperationType code, net.sf.saxon.s9api.XdmNode actionNode)` Instantiates a new unit action.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.ihr.xbrl.om.formula.aspects.UnitAspectRule.UnitOperationType` | `getCode()` Gets the code.
    `XBRLUnit` | `getUnit(XPathHelper xph)` Gets the unit.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `getAspectsText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnitAction

          public UnitAction(XBRLFormula formula,
                    com.ihr.xbrl.om.formula.aspects.UnitAspectRule.UnitOperationType code,
                    net.sf.saxon.s9api.XdmNode actionNode)
                     throws XFxbrlfeIllegalUseOfUncoveredQName

      Instantiates a new unit action.
      Parameters:
        `formula` - the formula
        `code` - the code
        `actionNode` - the action node
      Throws:
        `XFxbrlfeIllegalUseOfUncoveredQName` - the x fxbrlfe illegal use of uncovered q name

  - ### Method Detail

    - #### getUnit

          public XBRLUnit getUnit(XPathHelper xph)
                           throws XFValidationException

      Description copied from interface: `UnitAspectInterface`
      Gets the unit.
      Specified by:
        `getUnit` in interface `UnitAspectInterface`
      Parameters:
        `xph` - the xph
      Returns:
        the unit
      Throws:
        `XFValidationException` - the XF validation exception

    - #### getCode

          public com.ihr.xbrl.om.formula.aspects.UnitAspectRule.UnitOperationType getCode()

      Gets the code.
      Returns:
        the code